
QGIS Application - Bug report #18987

Crash: Profile tool - QGIS 3.0.2

2018-05-18 03:52 PM - David Vaz

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:3.0.2 Regression?: Yes

Operating System: windows x86_64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 26818

Description

User Feedback

QGIS crashes when using the Profile Tool on a DTM.

It occurs when drawing a second/new profile (everything works when only one profile

is done).

If the "show cursor" option is disabled the crash does not occur.

Report Details

Crash ID: 999b61237b27877a4b9cd81a0af8e584b41589d9

Stack Trace

geos::index::strtree::STRtree::STRIntersectsOp::~STRIntersectsOp :

QgsGeos::createGeosLinestring :

QgsGeos::asGeos :

QgsGeos::cacheGeos :

QgsGeos::QgsGeos :

QgsGeometry::interpolate :

std::_String_alloc<std::_String_base_types<char,std::allocator<char> > >::_Swap_all :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyObject_Call :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

QMetaObject::activate :

PyInit_QtCore :

PyInit_QtCore :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :
PyObject_Call :

PyInit_sip :

PyInit__gui :

QgsMapCanvas::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.2-Girona

QGIS code revision: commit:307d082e3d

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-05-18 03:59 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

3rd party plugins issues must be reported to the plugins authors.

#2 - 2018-05-23 01:37 PM - Javier Becerra Elcinto

Hi,

I am the current maintainer of ProfileTool plugin. We have tracked this issue down to what seems a regression on interpolate function from a QgsGeometry

object (actually when trying to interpolate a line built with a single point).
You can reproduce the crash with the following code snippet on QGis Python console (in QGis 3.0.2 it crashes, in QGis 2.14 returns None):

    1. Crashes on QGis 3.0.2:

points = [QgsPoint(*p) for p in ((10, 10),)]

geom =  qgis.core.QgsGeometry.fromPolyline(points)

interp = geom.interpolate(0)

We are updating the plugin asap to avoid this issue.
